Pro-Linux.de

Pro-Linux

Pro-Linux Diskussions- und Hilfeforum
Aktuelle Zeit: 11. Dez 2018 6:34

Alle Zeiten sind UTC+01:00




Ein neues Thema erstellen  Auf das Thema antworten  [ 2 Beiträge ] 
Autor Nachricht
 Betreff des Beitrags: Cinelerra installieren
BeitragVerfasst: 04. Mär 2006 23:18 
Wollte heute mal Cinelerra installieren. Leider ists bei Ubuntu nicht dabei, also hab ich mir die Sourcen geholt. Ich hab /bin/gcc auf Version /bin/gcc-3.3 gelinkt und die nötigen Liraries ermittelt und installiert. Nun: ./configure, make.
Make kommt leider nicht voll durch und meldet folgenden Fehler:

make[3]: Gehe in Verzeichnis »/usr/local/src/cinelerra-2.0/plugins/wave«
C++ i686/wave.o
../../guicast/bcfilebox.h:284: Fehler: ISO-C++ verbietet Deklaration von »BC_NewFolderThread« ohne Typ
../../guicast/bcfilebox.h:284: Fehler: expected »;« before »*« token
make[3]: *** [i686/wave.o] Fehler 1
make[3]: Verlasse Verzeichnis »/usr/local/src/cinelerra-2.0/plugins/wave«

Der gleiche Fehler wird mehrmals, für jedes Plugin einzeln, gemeldet. Es ist aber immer die besagte Zeile 284 in der bcfilebox.h. Dort konnte ich leider keinen offensichtlichen Syntaxfehler feststellen (Wäre auch zu schön gewesen :wink:).
Was könnte der Fehler sein? Wie könnte man ihn beheben?
Kann es wirklich sein, dass die Compilerversion dieses Problem verursacht. Auf der Homepage des Projektes wird der gcc-3.2 vorgeschlagen. Den gibts aber bei Ubuntu gar nicht mehr.

Wäre prima wenn mir jemad helfen könnte.
Auch ne APT-Source hilft.

Homepage des Projekts:
http://heroinewarrior.com/download.php3

Hier die Besagte Zeile aus der Datei "bcfilebox.h":
BC_NewFolderThread *newfolder_thread;

Hier die Deklaration der Klasse "BC_NewFolderThread" in der Datei bcnewfolder.h:
class BC_NewFolderThread : public Thread
{
public:
BC_NewFolderThread(BC_FileBox *filebox);
~BC_NewFolderThread();
...


Ich kann leider nicht erkennen welches Problem der Compiler hat :(.

Aber vielleicht habt Ihr einen Tip für mich.
Danke :P


Nach oben
   
 Betreff des Beitrags: Also jetzt läufts ...
BeitragVerfasst: 05. Mär 2006 0:31 
... aber nicht weil ich den Fehler gefunden habe, sondern weil ich ein deb-file gefunden habe. Nämlich hier:
http://socrates.if.usp.br/~liquid/pacotes/

Trotzdem würd ich gerne wissen was das Problem ist. Also wer mir helfen kann, bitte schreib mir.

Vielen Dank


Nach oben
   
Beiträge der letzten Zeit anzeigen:  Sortiere nach  
Ein neues Thema erstellen  Auf das Thema antworten  [ 2 Beiträge ] 

Alle Zeiten sind UTC+01:00


Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 0 Gäste


Sie dürfen keine neuen Themen in diesem Forum erstellen.
Sie dürfen keine Antworten zu Themen in diesem Forum erstellen.
Sie dürfen Ihre Beiträge in diesem Forum nicht ändern.
Sie dürfen Ihre Beiträge in diesem Forum nicht löschen.
Sie dürfen keine Dateianhänge in diesem Forum erstellen.

Suche nach:
Gehe zu:  
Powered by phpBB® Forum Software © phpBB Limited
Deutsche Übersetzung durch phpBB.de